org.bootchart.common

## Class FileOpenSample

- java.lang.Object
- - org.bootchart.common.Sample
  - - org.bootchart.common.FileOpenSample

-     public class FileOpenSample
      extends Sample

  Disk I/O utilization sample.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `fileOpens` Number of file opens.

    - ### Fields inherited from class org.bootchart.common.Sample

      `time, TIME_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileOpenSample(java.util.Date time, int fileOpens)` Creates a new sample.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getMaxFileOpens(java.util.List ioSampleList)` Returns the maximum number of file opens seen in the sample list.
    `java.lang.String` | `toString()` Returns the string representation of the sample.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fileOpens

          public int fileOpens

      Number of file opens.

  - ### Constructor Detail

    - #### FileOpenSample

          public FileOpenSample(java.util.Date time,
                                int fileOpens)

      Creates a new sample.
      Parameters:
        `time` - sample time
        `fileOpens` - number of file open operations

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the string representation of the sample.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string representation

    - #### getMaxFileOpens

          public static int getMaxFileOpens(java.util.List ioSampleList)

      Returns the maximum number of file opens seen in the sample list.
      Parameters:
        `ioSampleList` - iostat sample list
      Returns:
        maximum number of file opens